.\" $NetBSD: btuart.4,v 1.8 2009/05/27 19:23:59 snj Exp $
.\"
.\" Copyright (c) 2007 KIYOHARA Takashi
.\" All rights reserved.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
.\" IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
.\" WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
.\" DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT,
.\" INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
.\" (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
.\" SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
.\" HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
.\" STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN
.\" ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd August 23, 2009
.Dt BTUART 4
.Os
.Sh NAME
.Nm btuart
.Nd Bluetooth HCI UART driver
.Sh SYNOPSIS
.Cd pseudo-device btuart
.Sh DESCRIPTION
The
.Nm
driver provides a
.Xr tty 4
line discipline to send and receive Bluetooth packets over a serial
line, as described in the
.Qo
Bluetooth Host Controller Interface
.Bq Transport Layer
specification, Vol 4 part A.
.Qc
.Pp
The
.Xr btattach 8
program is used to configure the tty line and create the
.Nm
driver instance.
.Sh SEE ALSO
.Xr bcsp 4 ,
.Xr bluetooth 4 ,
.Xr btattach 8
.Sh HISTORY
The
.Nm
driver was written with reference to the BlueZ drivers
for Linux, and first appeared in
.Nx 5.0 .
.Sh AUTHORS
.An KIYOHARA Takashi Aq kiyohara@kk.iij4u.or.jp
